Package org.apache.wiki.workflow

## Class DecisionRequiredException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - org.apache.wiki.api.exceptions.WikiException
      - - org.apache.wiki.workflow.DecisionRequiredException

All Implemented Interfaces:
  `java.io.Serializable`

    public class DecisionRequiredException
    extends WikiException

Exception thrown when an activity -- that would otherwise complete silently -- cannot complete because a workflow `Decision` is required. The message string should be a human-readable, internationalized String explaining why the activity could not complete, or that the activity has been queued for review.

See Also:
  Serialized Form

### Constructor Summary

Constructors
`DecisionRequiredException​(java.lang.String message)` Constructs a new exception.

### Method Summary

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### DecisionRequiredException

    public DecisionRequiredException​(java.lang.String message)

Constructs a new exception.

Parameters:
  `message` - the message